Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::XML_Utils Class Reference

`#include <XML_Utils.h>`

List of all members.

## Static Public Member Functions
int | parse_softpkg (Softpkg_Handler::Softpkg_Info *info)
| Parse a set of component softpkg and return the important info.
int | parse_componentassembly (const char *filename, Assembly_Spec *spec)
| Parse a component assembly descriptor and extract the assembly specification.
int | parse_rtcad_extension (const char *filename, RTConfiguration::RTORB_Resource_Info &rtr, RTConfiguration::Policy_Sets &pset)
| Parse a CIAO RT cad file extension descriptor and extract and prepare the information for RTComponentServer.
long | get_id_and_cardinality (const char *&id, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
long | get_single_attribute (const char *attname, const char *&id, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)

## Member Function Documentation

long CIAO::XML_Utils::get_id_and_cardinality | ( | const char *& | id,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[static]`

long CIAO::XML_Utils::get_single_attribute | ( | const char * | attname,
|  | const char *& | id,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[static]`

int CIAO::XML_Utils::parse_componentassembly | ( | const char * | filename,
|  | Assembly_Spec * | spec
| ) | `[static]`

| Parse a component assembly descriptor and extract the assembly specification.

int CIAO::XML_Utils::parse_rtcad_extension | ( | const char * | filename,
|  | RTConfiguration::RTORB_Resource_Info & | rtr,
|  | RTConfiguration::Policy_Sets & | pset
| ) | `[static]`

| Parse a CIAO RT cad file extension descriptor and extract and prepare the information for RTComponentServer. A CIAO RT cad file extension, as defined in $CIAO_ROOT/doc/XML/ciao_rt_cad_ext.dtd, defines the RT resources and named policy sets that a RTComponentServer shall provides for the running components. This method assume that all the sequences, either those in RTORB_Resource_Info or the Policy_Sets, are empty initially and will add to them when parsing the RTCAD extension file.

int CIAO::XML_Utils::parse_softpkg | ( | Softpkg_Handler::Softpkg_Info * | info | ) | `[static]`

  | Parse a set of component softpkg and return the important info. This function parses a set of component softpkg files and returns the important information required to intall the component in a component server. In CIAO, two different DLL are needed for a component installation. One for the actual executor implementation and one for the container servant implementation. When calling this function, info->csd_path_ must holds the pathname to the component software descriptor the function is going to parse. Return values:
  | 0 | if all infor are parsed successfully.
  | -1 | if error occured

The documentation for this class was generated from the following files:

- XML_Utils.h
- XML_Utils.cpp